function y= createDisMatrices(allFragments)
% creates the matrices for the daughter ion scanning -mode

    global A;
    global B;
    global InputArray;

    Adis=[];
    Bdis=[];
    
    formula=allFragments(1).formula;
    carbons=formula(1).atomCnt;
    columns=2^carbons;
    rowsOfInput=length(InputArray);

    minLabels=100;
    maxLabels=-1;
    
    for i=1:rowsOfInput  
        if finite(InputArray(i).mother)     
            if InputArray(i).mother > maxLabels
                maxLabels=InputArray(i).mother;
            end
            if InputArray(i).mother < minLabels
                minLabels=InputArray(i).mother;
            end
        end
    end
 
    
    baseMz=allFragments(1).mz;
    
    row=0;
    for labels=minLabels:maxLabels
 
        intensity=getIntensity(baseMz+labels);
        if intensity > 0
            for i=1:rowsOfInput
                if InputArray(i).mother == labels
                    row=row+1;
                    Bdis(row,1)=InputArray(i).intensity;

                    fragments=getSuitableFragments(InputArray(i).mz,labels,allFragments);
                    number=length(fragments);
                    probabilities1=[];
                    probabilities2=[];
                    
                    
                  
                    for j=1:number
                        frForm(j,:)=fragments(j).formula;   
                        probabilities1(j,:)=calculateIsotopomerProbability(frForm(j,:),50); 
                        nonFrPart(j,:)=getNonFrPartOfMol(formula,frForm(j,:));
                        probabilities2(j,:)=calculateIsotopomerProbability(nonFrPart(j,:),50);
                    end
                
                    for column=1:columns
                        sum=0;
                        for j=1:number
                            a=InputArray(i).mz-fragments(j).mz; % labels in fragment
                            b=countLabelsInCarbons(column);
                            c=countLabelsInCPartOfFr(fragments(j).carbons,column,carbons);
                            d=a-c; % labels in fragment non-c-part
                            e=b-c; % labels in non-fragment c-part
                            f=labels-a-e; % labels in non-fragment non-c part
                            if d >=0 & f >= 0
                                sum=sum+probabilities1(j,d+1)*probabilities2(j,f+1)*fragments(j).probability/intensity;
                            end
                        end
                        Adis(row,column)=sum;
                    end
                end
            end
        end  
    end
    A=cat(1,A,Adis);
    B=cat(1,B,Bdis);


