function y= createFsMatrices(allFragments)
% creates matrices for the full scan -mode

    global A;
    global B;
    global InputArray;
    
    Afs=[];
    Bfs=[];

    formula=allFragments(1).formula;
    carbons=formula(1).atomCnt;
    columns=2^carbons;    
    rowsOfInput=length(InputArray);

    % InputArray = 1*n struct array with fields mz,mother and intensity (intensity)     
    % formula is the array representation of the molecule formula   
   
    maxMz=0;
    
    for i=1:rowsOfInput
        if isnan(InputArray(i).mother)
            if InputArray(i).mz > maxMz
                maxMz = InputArray(i).mz;
            end
        end
    end
    
    maxLabels = maxMz - allFragments(1).mz;
    
    row=0;
    for i=1:rowsOfInput 
        if ~(finite(InputArray(i).mother) | isnan(InputArray(i).mother))
 	        row=row+1;
	        Bfs(row,1) = InputArray(i).intensity;
            fragments = getSuitableFragments(InputArray(i).mz,maxLabels,allFragments);
	 
	        % fragments is 1*n struct array containg fields molecule, role,
            % formula,carbons, mz and probability. It contains
	        % all the possible fragments of the peak.

	        number=length(fragments); % number of fragments
            probabilities=[];
	        for j=1:number
  		        formulas(j,:)=fragments(j).formula;
                probabilities(j,:)=calculateIsotopomerProbability(formulas(j,:),50);
	        end
	        sum=0;
	        for column=1:columns
	            sum=0;
                for j=1:number	    
	                a=InputArray(i).mz-fragments(j).mz; % labels in fragment
                    b=countLabelsInCarbons(column);
		            c=countLabelsInCPartOfFr(fragments(j).carbons,column,carbons);
                    d = a - c; % labels in fragment non-carbon part 
                    e = b - c; % labels in non-fragment carbon part
                    f = maxLabels - a - e;% max amount of labels in non-fr non-c part
		            if  d>=0 & f>=0
		                sum=sum+probabilities(j,d+1)*fragments(j).probability;
		            end
                end
		        Afs(row,column)=sum;
	        end
	    end
    end	       
    	        
	A=cat(1,A,Afs);  
	B=cat(1,B,Bfs);  		    

    
