function y = getIsotopeAbundances(atom)
% getIsotopeAbundances: returns the natural abundances of
% different isotopes of a given element.
% 
% Parameters:
%  atom = an element (either C, H, N, S, O or Si)

% Mika Miettinen

    global Elements;

    found = 0;
    i = 1;

    while ~found & (i <= length(Elements))
        if strcmp(Elements(i).name, upper(atom))
            found = 1;
        else
            i = i + 1;
        end
    end

    if found
        y = Elements(i).isotopes;
    else
        y = [];
    end
